Subject: Re: ssh-host-config problem on windows 2003, please help.
From: T Z <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 11 Dec 2008 11:52:09 -0800 (PST)
List-Id: <cygwin.cygwin.com>

I have tested the patch below and it works. My next question is how do I repackage it so that it will now install.  I tried just retarring the csih directory but it does not install as I am assuming the checksum is different and don't know how to recreate it.  Can someone please lend a hand?  I just need this fixed so that the csih-0.1.8-1.tar.bz2 gets untarred like it should and installed on setup.  Right now, I have the corrected one untarred (as patched below) and then just have it copy the contents to the pcs before ssh-host-config and ssh-host-user are run.  I would try the new 1.7 version but this is a production environment.  

Thanks,
Travis

--- On Mon, 12/8/08, Corinna Vinschen <[email-masked]> wrote:

> From: Corinna Vinschen <[email-masked]>
> Subject: Re: ssh-host-config problem on windows 2003, please help.
> To: [email-masked]
> Cc: "Charles Wilson" <[email-masked]>
> Date: Monday, December 8, 2008, 8:13 AM
> On Dec  2 12:45, T Z wrote:
> > I am trying to automate my cygwin install on a windows
> 2003 box
> > [...]
> > but when I then run
> > c:\cygwin\bin\bash.exe --login
> /usr/bin/ssh-host-config --yes --cygwin ntsec --pwd loser as
> the administrator of the pc (not in domain) it seems to run
> fine thru most if the script but then when it gets to the
> line where it asks if you want to change the user of
> cyg_server it is AUTOMATICALLY answering yes which then I
> have to retype it in.  I am running version 2.573.2.3
> > 
> > what is the problem.  Can someone please help?
> 
> This (untested) patch to the service helper script
> /usr/share/csih/cygwin-service-installation-helper.sh
> should fix that problem.
> 
> 
> Index: cygwin-service-installation-helper.sh
> ===================================================================
> RCS file:
> /sourceware/projects/cygwin-apps-home/cvsfiles/csih/cygwin-service-installation-helper.sh,v
> retrieving revision 1.15
> diff -u -p -r1.15 cygwin-service-installation-helper.sh
> --- cygwin-service-installation-helper.sh	22 Aug 2008
> 03:56:43 -0000	1.15
> +++ cygwin-service-installation-helper.sh	8 Dec 2008
> 15:10:36 -0000
> @@ -2277,7 +2277,7 @@ csih_select_privileged_username()
>        echo ""
>        csih_inform "This script plans to use
> '${username}'."
>        csih_inform "'${username}' will only be
> used by registered services."
> -      if csih_request "Do you want to use a different
> name?"
> +      if ! csih_request "Do you want to use this
> account name for running this service?"
>        then
>          csih_get_value "Enter the new user
> name:"
>          username="${csih_value}"
> 
> 
> Corinna
> 
> -- 
> Corinna Vinschen                  Please, send mails
> regarding Cygwin to
> Cygwin Project Co-Leader          cygwin AT cygwin DOT com
> Red Hat
> 
> --
> Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

      

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/